{% extends 'order/template.html.twig' %}
{% set head = 'Votre panier' %}
{% set title = 'Récapitulatif du panier' %}

{% block content %}

    <div style="width:100%">
        {% for product in cart.products %}
            <div class="card mt-1" style="width:100%">
                <div class="card-content">
                    <div class="content is-flex is-justify-content-space-between is-align-items-center">
                        <div>
                            <figure class="image is-128x128" style="display:inline-block; vertical-align: middle; height: max-content; margin: 0 5px">
                                <img src="{{asset('uploads/' ~ product.pictures[0].path )}}">
                            </figure>
                            <b>{{ product.name|upper }}</b>
                        </div>
                        <div>
                            quantité: {{cart.quantities[product.id]}} | prix: {{product.price}}€ | total: {{ product.price * cart.quantities[product.id] }}€
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        <h2 class="title is-3 mt-5 has-text-right">Total HT: {{cart.total}}€</h2>
        <h2 class="title is-3 has-text-right">Total TTC: {{cart.total}}€</h2>
        <div class="field is-grouped is-grouped-centered my-6">
            <p class="control">
                <a class="button is-light" href="{{path('home')}}">
                    Retour au magasin
                </a>
            </p>
            <p class="control">
                <a class="button is-primary" href="{{path('order_creation')}}">
                    Valider le panier
                </a>
            </p>
        </div>
    </div>
    
    
{% endblock %}
